#!/usr/bin/env node

var coz = require('coz'),
    path = require('path'),
    async = require('async');

var pkg = require('../package.json'),
    tmpl = require("apeman-tmpl-contrib-official/lib/commons");

var basedir = path.resolve(__dirname, '..');

process.chdir(basedir);

async.series([
    function (callback) {
        coz.render([
            //"lib/**/.*.bud",
            "test/**/.*.bud"
        ], callback);
    },
    function (callback) {
        tmpl.render({
            pkg: pkg,
            ignore: [],
            year: new Date().getFullYear(),
            modules: [
                {
                    "name": "release"
                }
            ],
            usages: [
                {
                    "title": "release",
                    "description": "Release a package.",
                    "example": "docs/examples/release-example.js"
                }
            ],
            see: {
                "colorprint": "https://www.npmjs.com/package/colorprint"
            }
        }, callback);
    }
], function (err) {
    if (err) {
        console.error(err);
    }
});